#!/bin/bash


FILE='SDP_n9_LB_F_edges3__objective.txt.dat-s'
SCALE='36'
SCALED='False'


# sage -c "load('../rounding_Integer.sage'); only_rounding('${FILE}',${SCALE},${SCALED})" | tee  rounding.txt

MIN=0
MAX=`head -1 "${FILE}"`
#MAX=200000
STEP=5000

for (( i = MIN; i <= MAX; i += STEP )); do
    #echo "Current value: $i"

    j=$((i + STEP))


   LOGFILE="roundX.${j}.txt"
   if [ -f "$LOGFILE" ]; then
       echo "Skipping ${LOGFILE}"
   else 
       echo "Computing ${LOGFILE}"
       sage -c "load('../rounding_Integer.sage'); test_rounding('${FILE}',${SCALE},${SCALED}, $i, $j)" > "${LOGFILE}" &
   fi

    # Add your logic here using $i
done


echo 'Everything is started for round 1'

wait

