#!/bin/bash


FILE='SDP_n7_LB_F_edges4blind__objective.txt.dat-s'
SCALE='21'
SCALED='False'

# sage -c "load('../rounding_Integer.sage'); only_rounding('${FILE}',${SCALE},${SCALED})" | tee  rounding.txt

MIN=310000
MAX=`head -1 "${FILE}"`
#MAX=100000
STEP=10000

for (( i = MIN; i <= MAX; i += STEP )); do
    echo "Current value: $i"

    j=$((i + STEP))

sage -c "load('../rounding_Integer.sage'); test_rounding('${FILE}',${SCALE},${SCALED}, $i, $j)" > "roundX.${j}.txt" &

    # Add your logic here using $i
done

echo 'Everything is started for round 1'

wait

