#!/bin/bash



FILE='SDP_n9_LB_F_edges3__objective.txt.dat-s'
SCALE='72'
SCALED='False'


MIN=205000
MAX=`head -1 "${FILE}"`
#MAX=150000
STEP=5000

for (( i = MIN; i <= MAX; i += STEP )); do
    #echo "Current value: $i"

    j=$((i + STEP))


   LOGFILE="round.${j}.txt"
   if [ -f "$LOGFILE" ]; then
       echo "Skipping ${LOGFILE}"
   else 
       echo "Computing ${LOGFILE}"
       sage -c "load('../rounding_Integer.sage'); test_rounding('${FILE}',${SCALE},${SCALED}, $i, $j)" > "${LOGFILE}" &
   fi

    # Add your logic here using $i
done


echo 'Everything is started for round 1'

wait

